Remove a connection and its local credential using the latest version.
curl --request POST \
--url https://api.itoflow.ai/integrations/remote-mcp/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedVersion": 123
}
'import requests
url = "https://api.itoflow.ai/integrations/remote-mcp/remove"
payload = {
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedVersion": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({connectionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', expectedVersion: 123})
};
fetch('https://api.itoflow.ai/integrations/remote-mcp/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"removed": true
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}Connected MCP servers
Remove
Manage your remote MCP connections, which all your Itoflow chats share. Send the latest connection version. If a connect response is lost, check status before retrying.
Operation ID: remoteMcp_remove.
POST
https://api.itoflow.ai
/
integrations
/
remote-mcp
/
remove
Remove a connection and its local credential using the latest version.
curl --request POST \
--url https://api.itoflow.ai/integrations/remote-mcp/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedVersion": 123
}
'import requests
url = "https://api.itoflow.ai/integrations/remote-mcp/remove"
payload = {
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedVersion": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({connectionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', expectedVersion: 123})
};
fetch('https://api.itoflow.ai/integrations/remote-mcp/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"removed": true
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}{
"error": {
"code": "invalid_url",
"message": "<string>",
"expectedVersion": 123
}
}Body
application/json